Subject: Re: [PATCH v2 1/6] submodules: add helper functions to determine presence of submodules

From: Brandon Williams <[email-masked]>
Date: Tue, 1 Nov 2016 10:24:43 -0700

On 11/01, Junio C Hamano wrote:
> Stefan Beller <[email-masked]> writes:
> 
> Overall the suggestions from you in this review is good and please
> consider anything I did not mention I agree with you.  Thanks.
> 
> >> +extern int is_submodule_initialized(const char *path);
> >> +extern int is_submodule_checked_out(const char *path);
> >
> > no need to put extern for function names. (no other functions in this
> > header are extern. so local consistency maybe? I'd also claim that
> > all other extern functions in headers ought to be declared without
> > being extern)
> 
> Maybe I am old fashioned, but I'd feel better to see these with
> explicit "extern" in front (check the older header files like
> cache.h when you are in doubt what the project convention has been).

I wouldn't consider that old fashion as I'm fairly new to all this and
I also prefer the explicit "extern" :P

-- 
Brandon Williams